import request from '@/utils/request'

// 发票合同
export function searchContractInvoice(pageCurrent, pageSize, check1, num, check2, name) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_到票情况_查询数据',
      param: `采购合同流水号_check=${check1}&采购合同流水号=${num}&供应商名称_check=${check2}&供应商名称=${name}`,
      Pagination: pageCurrent + '&' + pageSize
    }
  })
}
// 发票查询
export function searchInvoice(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_发票_查询数据',
      param: '采购合同流水号_check=1&采购合同流水号=' + num
    }
  })
}
// 传送人接收人初始化 采购科改16
export function initPerson() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '人事档案管理_人员_部门与人员_查询数据_根据部门编号',
      param: '考核部门编号=16'
    }
  })
}
// 初始化合同号
export function initContract() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间采购管理_付款情况_查询数据'
    }
  })
}
